org.springframework.web.reactive.function.client

## Interface ExchangeStrategies

    public interface ExchangeStrategies

Provides strategies for use in an `ExchangeFunction`.

To create an instance, see the static methods `withDefaults()`, `builder()`, and `empty()`.

Since:
  5.0
Author:
  Brian Clozel, Arjen Poutsma

### Nested Class Summary

Nested Classes
`static interface` `ExchangeStrategies.Builder` A mutable builder for an `ExchangeStrategies`.

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`static ExchangeStrategies.Builder` `builder()` Return a builder pre-configured with default configuration to start.
`static ExchangeStrategies.Builder` `empty()` Return a builder with empty configuration to start.
`List<org.springframework.http.codec.HttpMessageReader<?>>` `messageReaders()` Return `HttpMessageReaders` to read and decode the response body with.
`List<org.springframework.http.codec.HttpMessageWriter<?>>` `messageWriters()` Return `HttpMessageWriters` to write and encode the request body with.
`default ExchangeStrategies.Builder` `mutate()` Return a builder to create a new `ExchangeStrategies` instance replicated from the current instance.
`static ExchangeStrategies` `withDefaults()` Return an `ExchangeStrategies` instance with default configuration provided by `ClientCodecConfigurer`.

### Method Detail

#### messageReaders

    List<org.springframework.http.codec.HttpMessageReader<?>> messageReaders()

Return `HttpMessageReaders` to read and decode the response body with.

Returns:
  the message readers

#### messageWriters

    List<org.springframework.http.codec.HttpMessageWriter<?>> messageWriters()

Return `HttpMessageWriters` to write and encode the request body with.

Returns:
  the message writers

#### mutate

    default ExchangeStrategies.Builder mutate()

Return a builder to create a new `ExchangeStrategies` instance replicated from the current instance.

Since:
  5.1.12

#### withDefaults

    static ExchangeStrategies withDefaults()

Return an `ExchangeStrategies` instance with default configuration provided by `ClientCodecConfigurer`.

#### builder

    static ExchangeStrategies.Builder builder()

Return a builder pre-configured with default configuration to start. This is the same as `withDefaults()` but returns a mutable builder for further customizations.

#### empty

    static ExchangeStrategies.Builder empty()

Return a builder with empty configuration to start.